GetRegistryRecord
Retrieves information about a specific registry record.
Request Syntax
GET /registries/registryId/records/recordId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- recordId
-
The identifier of the registry record to retrieve. You can specify either the Amazon Resource Name (ARN) or the ID of the record.
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}/record/)?[a-zA-Z0-9]{12}Required: Yes
- registryId
-
The identifier of the registry containing the record. You can specify either the Amazon Resource Name (ARN) or the ID of the registry.
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": "string",
"description": "string",
"descriptors": {
"a2a": {
"agentCard": {
"inlineContent": "string",
"schemaVersion": "string"
}
},
"agentSkills": {
"skillDefinition": {
"inlineContent": "string",
"schemaVersion": "string"
},
"skillMd": {
"inlineContent": "string"
}
},
"custom": {
"inlineContent": "string"
},
"mcp": {
"server": {
"inlineContent": "string",
"schemaVersion": "string"
},
"tools": {
"inlineContent": "string",
"protocolVersion": "string"
}
}
},
"descriptorType": "string",
"name": "string",
"recordArn": "string",
"recordId": "string",
"recordVersion": "string",
"registryArn": "string",
"status": "string",
"statusReason": "string",
"synchronizationConfiguration": {
"fromUrl": {
"credentialProviderConfigurations": [
{
"credentialProvider": { ... },
"credentialProviderType": "string"
}
],
"url": "string"
}
},
"synchronizationType": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The timestamp when the registry record was created.
Type: Timestamp
- description
-
The description of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
- descriptors
-
The descriptor-type-specific configuration containing the resource schema and metadata. For details, see the
Descriptorsdata type.Type: Descriptors object
- descriptorType
-
The descriptor type of the registry record. Possible values are
MCP,A2A,CUSTOM, andAGENT_SKILLS.Type: String
Valid Values:
MCP | A2A | CUSTOM | AGENT_SKILLS - name
-
The name of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_\-\.\/]* - recordArn
-
The Amazon Resource Name (ARN) of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}/record/[a-zA-Z0-9]{12} - recordId
-
The unique identifier of the registry record.
Type: String
Length Constraints: Fixed length of 12.
Pattern:
[a-zA-Z0-9]{12} - recordVersion
-
The version of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9.-]+ - registryArn
-
The Amazon Resource Name (ARN) of the registry that contains the record.
Type: String
Pattern:
arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16} - status
-
The current status of the registry record. Possible values include
CREATING,DRAFT,APPROVED,PENDING_APPROVAL,REJECTED,DEPRECATED,UPDATING,CREATE_FAILED, andUPDATE_FAILED. A record transitions fromCREATINGtoDRAFT, then toPENDING_APPROVAL(viaSubmitRegistryRecordForApproval), and finally toAPPROVEDupon approval.Type: String
Valid Values:
DRAFT | PENDING_APPROVAL | APPROVED | REJECTED | DEPRECATED | CREATING | UPDATING | CREATE_FAILED | UPDATE_FAILED - statusReason
-
The reason for the current status, typically set when the status is a failure state.
Type: String
- synchronizationConfiguration
-
The configuration for synchronizing registry record metadata from an external source.
Type: SynchronizationConfiguration object
- synchronizationType
-
The type of synchronization used for this record.
Type: String
Valid Values:
URL - updatedAt
-
The timestamp when the registry record was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: